[8/9] tests/xfs/group: add group for tests which require mkfs v4_5
diff mbox

Message ID 20171213004519.29340-9-mcgrof@kernel.org
State New
Headers show

Commit Message

Luis Chamberlain Dec. 13, 2017, 12:45 a.m. UTC
This lets us skip these tests on newer systems.

Signed-off-by: Luis R. Rodriguez <mcgrof@kernel.org>
---
 tests/xfs/group | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

Comments

Dave Chinner Dec. 13, 2017, 9:55 p.m. UTC | #1
On Tue, Dec 12, 2017 at 04:45:18PM -0800, Luis R. Rodriguez wrote:
> This lets us skip these tests on newer systems.

This already _not_runs on new systems. we do not want to be adding
one-off group descriptors to avoid tests like this - the tests
themselves already detect whether they should run or not.

xfs/096 2s ... [not run] Requires older mkfs without strict input checks: the last supported version of xfsprogs is 4.5.

Why are you trying to add groups to define tests that not_run
correctly on systems they aren't supported on?

Cheers,

Dave.

Patch
diff mbox

diff --git a/tests/xfs/group b/tests/xfs/group
index 656b65f5fe7a..ebb1685e22eb 100644
--- a/tests/xfs/group
+++ b/tests/xfs/group
@@ -93,7 +93,7 @@ 
 093 fuzzers
 094 metadata dir ioctl auto realtimedev
 095 log v2log auto
-096 mkfs v2log auto quick
+096 mkfs v2log auto quick mkfs_4_5
 097 fuzzers
 098 fuzzers
 099 fuzzers